Subject: bug#31744: 26.1; Improvements to make tags and make -C test

From: Robert Pluim <[email-masked]>
Date: Fri, 08 Jun 2018 18:04:01 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Noam Postavsky <[email-masked]>
>> Date: Wed, 06 Jun 2018 21:49:47 -0400
>> 
>> Some quality-of-life improvements in make targets.  I hope these can go
>> to emacs-26; although the test/Makefile.in changes aren't bug fixes,
>> that file isn't distributed in the tarball.
>
> Thanks for your work on this.  A few comments below:
>
>> * src/Makefile.in: Create TAGS files in ${srcdir}, not build dir.
>
> I'm not sure I agree with this.  Other projects I looked at produce
> TAGS in the build directory (but reference source files in srcdir, of
> course).  Why do you think TAGS should go to the source directory?

They should not. Source should be able to be mounted read-only, and
all build products should be stored elsewhere.

Robert